Bug 20602 - Use search fields weight/relevancy on OPAC simple search
Summary: Use search fields weight/relevancy on OPAC simple search
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching - Elasticsearch (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Alex Arnaud
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on: 18316
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-18 09:58 UTC by Alex Arnaud
Modified: 2018-11-07 23:16 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20602 - use weighted fields in OPAC simple search (2.40 KB, patch)
2018-04-18 14:30 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20602 - use weighted fields in OPAC simple search (2.35 KB, patch)
2018-04-23 13:35 UTC, Alex Arnaud
Details | Diff | Splinter Review
Bug 20602 - use weighted fields in OPAC simple search (2.49 KB, patch)
2018-04-23 16:47 UTC, Séverine Queune
Details | Diff | Splinter Review
Bug 20602: Use weighted fields in OPAC simple search (2.56 KB, patch)
2018-10-29 14:53 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Arnaud 2018-04-18 09:58:31 UTC
Bug 18316 add the ability to configure relevancy on staff simple search. This BZ does the same for OPAC.
Comment 1 Alex Arnaud 2018-04-18 14:30:48 UTC Comment hidden (obsolete)
Comment 2 Séverine Queune 2018-04-19 19:45:54 UTC
Not sure I can test it as 18316 is 'Failed'.
Comment 3 Alex Arnaud 2018-04-23 13:35:14 UTC
Created attachment 74729 [details] [review]
Bug 20602 - use weighted fields in OPAC simple search

Test plan (having Koha working with Elasticsearch):
  - apply this patch,
  - try searches with and without weight defined on search fields

https://bugs.koha-community.org/show_bug.cgi?id=20262
Comment 4 Séverine Queune 2018-04-23 16:47:43 UTC
Created attachment 74755 [details] [review]
Bug 20602 - use weighted fields in OPAC simple search

Test plan (having Koha working with Elasticsearch):
  - apply this patch,
  - try searches with and without weight defined on search fields

https://bugs.koha-community.org/show_bug.cgi?id=20262
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Comment 5 Séverine Queune 2018-04-23 16:50:20 UTC
Result order is now exactly the same as in the staff client.
This make the results so relevant !
Thanks Alex :)
Comment 6 Katrin Fischer 2018-08-21 22:06:03 UTC
Waiting for parent bug.
Comment 7 Martin Renvoize 2018-10-29 14:53:12 UTC
Created attachment 81518 [details] [review]
Bug 20602: Use weighted fields in OPAC simple search

Test plan (having Koha working with Elasticsearch):
  - apply this patch,
  - try searches with and without weight defined on search fields

https://bugs.koha-community.org/show_bug.cgi?id=20262
Signed-off-by: Séverine QUEUNE <severine.queune@bulac.fr>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 8 Martin Renvoize 2018-10-29 14:55:56 UTC
Trivial patch when applied atop bug 18316.

No regressions found.

Passing QA
Comment 9 David Cook 2018-10-30 02:22:17 UTC
I was going to say that this makes Zebra and ElasticSearch behaviours deviate, but after a glance... I think they already deviate a lot? 

Field weighting for Zebra is done really badly, so I wouldn't want it added to the Zebra simple search anyway...
Comment 10 Katrin Fischer 2018-10-30 05:51:47 UTC
I think it can't be avoided, we are not trying to rebuild Zebra as is, but something that will hopefully work better :)
Comment 11 David Cook 2018-10-30 23:17:25 UTC
(In reply to Katrin Fischer from comment #10)
> I think it can't be avoided, we are not trying to rebuild Zebra as is, but
> something that will hopefully work better :)

We can hope!
Comment 12 Nick Clemens 2018-11-07 23:16:12 UTC
Awesome work all!

Pushed to master for 18.11